ssossossossosso

Forums

Covering OroCRM topics, including community updates and company announcements.  Subscribe

Forums OroCRM OroCRM – Installation/Technical Issues or Problems 500 Internal Server Error on installation

This topic contains 9 replies, has 4 voices, and was last updated by  robertino.matausch 7 months, 3 weeks ago.

  • Creator
    Topic
  • #56347

    radu.costinean
    Participant

    Hi,
    I tried to install OroCRM but I always get an 500 Internal Server Error.
    These are the steps I followed.

    I downloaded OroCRM zip file (not OroPlatform) and extracted the zip file on my local computer. Then I uploaded all files to my server, with FileZilla.

    I accessed the link http://mydomain.com/orocrm/web/install.php. Everything is marked with OK, except for Tidy extension and JSEngine because they are optional. I wait the cache warming up and when I click next I encounter the 500 error.

    I have to say I haven’t followed the steps from the installation guid. Just download the zip file, unzip it, ftp the files on the server and access the installation wizard from the browser.

    My php configuration is as follows:
    PHP Version 5.6.4
    Server API: CGI/FastCGI
    memory_limit: 1024M
    max_execution_time: 600
    max_input_time: 120
    log_errors: On

    Any help would be really appreciated :)

Viewing 9 replies - 1 through 9 (of 9 total)
  • Author
    Replies
  • #56348
    Mike Kudelya
    Mike Kudelya
    Moderator
    #56349

    Mike, not helpful, I have the same problem. I followed the instructions and EVERYTHING is GREEN on the installer page. So OROs installer says everything is okay. After hitting next I get the error.

    I read the documentation, and it is not my first rodeo. I have some magento shops running and to be honest SugarCRM and SuiteCRM were some kind of easy peasy

    So what can be the problem ? Some more help would be great

    Cheers Robertino

    #56351
    Andrew Fetisov
    Andrew Fetisov
    Moderator

    Hi robertino.m!
    Are you still experiencing problems with web install? Which version of CRM are you using? Wich version of DB?
    Can you provide a stack trace of error?

    #56352

    Hi Andrew, I am using the current version of crm 2.5,
    MySQL 5.5
    PHP 5.6
    Apache 2.4.29 (Ubuntu)

    when you lock at the following link suitcrm.4s-werk.de/install.php you will see that I am stuck as I cannot press “next”, everything is on GREEN.

    as I tried to install an earlier version of OroCRM I got the internal server error, right now I am stuck at the screen and cannot go forward

    Regards Robertino

    #56353
    Andrew Fetisov
    Andrew Fetisov
    Moderator

    Please take a look at System Requirements
    Think a problem is PHP version (should be 7.X)

    #56355

    Hi, okay, so it should be 7.x, but why is everything shown as green? I mean it checks PHP environment and on some point of requirements it is claimed it shoul be 7.x but 5.6 would be sufficiant… but maybe it was too late at night.

    there is one point… PHP7.1 is the last version that is working with mcrypt 7.2 is not supporting it .. so what to than?

    I will check my server and how to upgrade to 7.x as magento 1.9.x.x is not compatible with 7.x

    regards robertino

    #56356
    Andrew Fetisov
    Andrew Fetisov
    Moderator

    I’ll recheck the installation on 5.6. If I ‘ll reproduce this – create a bug. I agree, this is not at obvious for user experience logic

    #56357
    Andrew Fetisov
    Andrew Fetisov
    Moderator

    Sorry, just another one issue I just noticed. At suitcrm.4s-werk.de/install.php I see a problem with intl ICU version installed on your system is outdated (52.1) and does not match the ICU data bundled with Symfony (57.1)
    this item should be fixed also.
    Google helps you, try this one:
    https://github.com/docker-library/php/issues/307

    #56358

    hi Andrew, but even then it is confusing .. it states intl ICU version should be at least 4+ as okay
    and it is only an OPTIONAL RECOMMENDATIONS, an I installed the ICU60 package .. according to several forums on the web, I downloaded the DEB-File and that worked fine..

    So still strange…

Viewing 9 replies - 1 through 9 (of 9 total)

You must be logged in to reply to this topic.

You will be redirected to [title]. Would you like to continue?

Yes No
ssossossossosso